sailpoint.object

## Enum Filter.LogicalOperation

- java.lang.Object
- - java.lang.Enum<Filter.LogicalOperation>
  - - sailpoint.object.Filter.LogicalOperation

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<Filter.LogicalOperation>

Enclosing class:
  Filter

    public static enum Filter.LogicalOperation
    extends java.lang.Enum<Filter.LogicalOperation>

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`COLLECTION_CONDITION`
`CONTAINS_ALL`
`EQ`
`GE`
`GT`
`IN`
`ISEMPTY`
`ISNULL`
`JOIN`
`LE`
`LEFT_JOIN`
`LIKE`
`LT`
`NE`
`NOTNULL`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`java.lang.String` `getDisplayName()`
`Filter.LogicalOperation` `getInverseOperation()`
`java.lang.String` `getStringRepresentation()`
`static Filter.LogicalOperation` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static Filter.LogicalOperation[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### EQ

    public static final Filter.LogicalOperation EQ

#### NE

    public static final Filter.LogicalOperation NE

#### LT

    public static final Filter.LogicalOperation LT

#### GT

    public static final Filter.LogicalOperation GT

#### LE

    public static final Filter.LogicalOperation LE

#### GE

    public static final Filter.LogicalOperation GE

#### IN

    public static final Filter.LogicalOperation IN

#### CONTAINS_ALL

    public static final Filter.LogicalOperation CONTAINS_ALL

#### LIKE

    public static final Filter.LogicalOperation LIKE

#### NOTNULL

    public static final Filter.LogicalOperation NOTNULL

#### ISNULL

    public static final Filter.LogicalOperation ISNULL

#### ISEMPTY

    public static final Filter.LogicalOperation ISEMPTY

#### JOIN

    public static final Filter.LogicalOperation JOIN

#### LEFT_JOIN

    public static final Filter.LogicalOperation LEFT_JOIN

#### COLLECTION_CONDITION

    public static final Filter.LogicalOperation COLLECTION_CONDITION

### Method Detail

#### values

    public static Filter.LogicalOperation[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (Filter.LogicalOperation c : Filter.LogicalOperation.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static Filter.LogicalOperation valueOf(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null

#### getStringRepresentation

    public java.lang.String getStringRepresentation()

#### getDisplayName

    public java.lang.String getDisplayName()

#### getInverseOperation

    public Filter.LogicalOperation getInverseOperation()